## tasksel 3.68+deb11u1

=== debian/changelog ===
tasksel (3.68+deb11u1) bullseye; urgency=medium

  * Team upload.

  * Install CUPS for all *-desktop tasks, now that task-print-service is no
    longer existing. See #993668

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 20 Feb 2022 08:06:36 +0100

=== debian/control ===
Source: tasksel
Section: tasks
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: nicoo <nicoo@debian.org>
Standards-Version: 4.5.1
Build-Depends:
	debhelper-compat (= 13),
	dpkg-dev (>= 1.9.0),
	gettext,
	po-debconf
Vcs-Browser: https://salsa.debian.org/installer-team/tasksel
Vcs-Git: https://salsa.debian.org/installer-team/tasksel.git
Rules-Requires-Root: no

Package: tasksel
Section: admin
Architecture: all
Pre-Depends: debconf (>= 1.5.34) | cdebconf (>= 0.106)
Depends: ${misc:Depends}, liblocale-gettext-perl, apt, tasksel-data, perl-base (>= 5.14.0-1)
Conflicts: debconf (<< 1.4.27), base-config (<< 2.32)
Description: tool for selecting tasks for installation on Debian systems
 This package provides 'tasksel', a simple interface for users who
 want to configure their system to perform a specific task.

Package: tasksel-data
Section: admin
Architecture: all
Depends: ${misc:Depends}
Recommends: laptop-detect, tasksel
Conflicts: tasksel (<< 2.67)
Description: official tasks used for installation of Debian systems
 This package contains data about the standard tasks available on a Debian
 system.

Package: task-desktop
Architecture: all
Description: Debian desktop environment
 This task package is used to install the Debian desktop.
Depends: ${misc:Depends},
	xorg,
	xserver-xorg-video-all,
	xserver-xorg-input-all,
	desktop-base,
Recommends:
# One of the actual desktop tasks is needed to get a full desktop environment.
# The order here is significant when installing this task manually;
# when tasksel installs this task it instead selects one of these based
# on the tasksel/desktop debconf setting.
	task-gnome-desktop | task-xfce-desktop | task-kde-desktop | task-lxde-desktop | task-gnome-flashback-desktop | task-cinnamon-desktop | task-mate-desktop | task-lxqt-desktop,
# For use by third-party apps.
	xdg-utils,
# Font with wide unicode coverage, prevents “Unicode tofu”
	fonts-symbola,
# mdns/zeroconf stuff
	avahi-daemon,
	libnss-mdns,
# desktop machines might not be up 24/7
	anacron,
# Make sure that CDs etc can be ejected. May not be installed by d-i.
	eject,
# wireless networking tools (they're more and more used on desktops too)
	iw,
# sound
	alsa-utils,
# For use by users, to elevate privileges
	sudo,
# firefox is the most popular web browser at the moment,
# although both gnome and kde offer their own too
	firefox | firefox-esr,
# print system
	cups,

Package: task-gnome-desktop
Architecture: all
Description: GNOME
 This task package is used to install the Debian desktop, featuring
 the GNOME desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# only depend on a very minimal gnome desktop, to ensure it fits on CD1
	gnome-core,
Recommends:
# The full gnome desktop environment should be included if possible
# even if the larger gnome metapackage doesn't fit.
	gnome,
# Package management
	synaptic,
# GNOME support in LibreOffice
	libreoffice-gnome,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# we need a working network setup at least
	network-manager-gnome,

Package: task-gnome-flashback-desktop
Architecture: all
Description: GNOME Flashback
 This task package is used to install the Debian desktop, featuring
 the GNOME Flashback desktop environment, and with other packages that
 Debian users expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# the basic components required for the session
	gnome-session-flashback,
# the display manager
	gdm3,
# the control center
	gnome-control-center,
# some core GNOME applications
	eog,
	evince,
	file-roller,
	gedit,
	gnome-calculator,
	gnome-screenshot,
	gnome-terminal,
	totem,
# network manager applet
	network-manager-gnome,
Recommends:
# GNOME support in LibreOffice
	libreoffice-gnome,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# accessibility support
	gnome-orca,
# web browser
	firefox | firefox-esr,
# mail client
	evolution,
# package management
	gnome-software,
	synaptic,
# some non-core GNOME applications
	alacarte,
	gnome-disk-utility,
	gnome-documents,
	gnome-tweaks,
	yelp,

Package: task-kde-desktop
Architecture: all
Description: KDE Plasma
 This task package is used to install the Debian desktop, featuring
 the KDE Plasma desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	kde-standard,
	sddm,
Recommends:
# accessibility support
	kdeaccessibility,
# orca works with kde, adding accessibility
	orca,
# cd/dvd burner
	k3b,
	k3b-i18n,
# desktop network setup
	plasma-nm,
# Package management.
	apper,
# temporarily moved from task-desktop due to #525077
	gimp,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# KDE support in LibreOffice
	libreoffice-plasma,
	libreoffice-kf5,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	print-manager,
# media player
	dragonplayer,

Package: task-lxde-desktop
Architecture: all
Description: LXDE
 This task package is used to install the Debian desktop, featuring
 the LXDE desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	lightdm,
	lxde,
Recommends:
	lxtask,
	lxlauncher,
	xsane,
# libreoffice widgets using just gtk, and also accessibility needs the GTK frontend
	libreoffice-gtk3,
# Package management.
	synaptic,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,
# orca works with lxde, adding accessibility
	orca,

Package: task-lxqt-desktop
Architecture: all
Description: LXQt
 This task package is used to install the Debian desktop, featuring
 the LXQt desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
         task-desktop,
         sddm,
         sddm-theme-debian-elarun | sddm-theme-debian-elarun,
         lxqt,
Recommends: xsane,
# orca works with qt, adding accessibility
	orca,
# libreoffice widgets using just gtk and qt
	libreoffice-gtk3,
	libreoffice-qt5,
# Package management.
	synaptic,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,

Package: task-xfce-desktop
Architecture: all
Description: Xfce
 This task package is used to install the Debian desktop, featuring
 the Xfce desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# The basics of xfce, not the whole thing.
	xfce4,
	lightdm
Recommends:
# a screen saver/locker
	light-locker,
# well known xfce4 enhancements
	xfce4-goodies,
	xfce4-power-manager,
	xfce4-terminal,
# xfce text editor
	mousepad,
# xfce is really improved by using dbus
	default-dbus-session-bus | dbus-session-bus,
# support for scanners
	xsane,
# media players
	parole,
	quodlibet,
# pdf viewer
	atril,
# icon theme
	tango-icon-theme,
# network management
	network-manager-gnome,
# package management
	synaptic,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,
# orca works with xfce, adding accessibility
	orca,
# libreoffice accessibility needs the GTK frontend
	libreoffice-gtk3,

Package: task-cinnamon-desktop
Architecture: all
Description: Cinnamon
 This task package is used to install the Debian desktop, featuring
 the Cinnamon desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	cinnamon-desktop-environment

Package: task-mate-desktop
Architecture: all
Description: MATE
 This task package is used to install the Debian desktop, featuring
 the MATE desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	mate-desktop-environment,
	lightdm,
Recommends:
# temporarily moved from task-desktop due to #525077
	gimp,
# Package management.
	synaptic,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# we need a working network setup at least
	network-manager-gnome,
# orca works with mate, adding accessibility
	orca,
# libreoffice accessibility needs the GTK frontend
	libreoffice-gtk3,

Package: task-laptop
Architecture: all
Description: laptop
 This task package installs software useful for a laptop.
Depends: ${misc:Depends},
	anacron,
Recommends:
	avahi-autoipd,
	bluetooth,
	powertop,
# wireless networking tools
	iw,
	wireless-tools,
	wpasupplicant,

Package: task-web-server
Architecture: all
Description: web server
 This task selects packages useful for a general purpose web server
 system.
Depends: ${misc:Depends},
	apache2,
Recommends:
	apache2-doc,
	analog,

Package: task-ssh-server
Architecture: all
Description: SSH server
 This task sets up your system to be remotely accessed through SSH
 connections.
Depends: ${misc:Depends},
	openssh-server,
Recommends:
	openssh-client,

Package: task-albanian-desktop
Architecture: all
Description: Albanian desktop
 This task localises the desktop in Albanian.
Depends: ${misc:Depends},
Recommends:
	firefox-esr-l10n-sq | firefox-l10n-sq,
	myspell-sq,

Package: task-amharic
Architecture: all
Description: Amharic environment
 This task installs programs, data files, fonts, and
 documentation that makes it easier for Amharic speakers
 to use Debian.
Depends: ${misc:Depends},
Recommends:
	aspell-am

Package: task-amharic-desktop
Architecture: all
Description: Amharic desktop
 This task localises the desktop in Amharic.
Depends: ${misc:Depends}
Recommends:
	fonts-sil-abyssinica,
	fcitx,
	fcitx-table-amharic,
	fcitx-frontend-gtk2,
	fcitx-frontend-gtk3,
	fcitx-config-gtk

Package: task-amharic-gnome-desktop
Architecture: all
Description: Amharic GNOME desktop
 This task localises the GNOME desktop in Amharic.
Depends: ${misc:Depends}
Recommends:
	ibus-m17n,
# ibus doesn't have a default config for all languages, so force creation
	gnome-initial-setup

Package: task-amharic-kde-desktop
Architecture: all
Description: Amharic KDE Plasma desktop
 This task localises the KDE Plasma desktop in Amharic.
Depends: ${misc:Depends},

## tasksel 3.68+devuan4u1

=== debian/changelog ===
tasksel (3.68+devuan4u1) chimaera; urgency=medium

  * Merge Debian 3.68+deb11u1.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 20 Mar 2022 06:41:46 +0000

tasksel (3.68+devuan4) unstable; urgency=medium

  * task-speech-accessibility:
     - add gdm3 as alternative display manager.
     - expand description.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 23 Jul 2021 10:57:27 +0100

tasksel (3.68+devuan3) unstable; urgency=medium

  * Move speech accessibility to separate task and test speakup module to
    determine installation.
  * Always install lightdm in accessible installations.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 20 Jul 2021 11:48:48 +0100

tasksel (3.68+devuan2) unstable; urgency=medium

  * Add task-gnome-desktop to end of task-desktop recommends alternatives
    (Closes: #590).

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 12 Jul 2021 21:12:57 +0100

tasksel (3.68+devuan1) unstable; urgency=medium

  * Merge Debian 3.68.
  * Recommend devuan-speech-dispatcher-config-override wherever orca
    is recommended (Closes: #496).

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 03 Jul 2021 14:17:44 +0100

tasksel (3.65+devuan3) unstable; urgency=medium

  * Add connman-gtk and cmst as alternatives to network-manager in MATE.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 24 Apr 2021 18:28:47 +0100

tasksel (3.65+devuan2) unstable; urgency=medium

  * Remove '(Default)' from Xfce description (Closes: #533).
  * Replace wicd with network-manager.
  * Add connman-gtk and cmst as alternatives to network-manager in xfce.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 23 Apr 2021 17:54:21 +0100

tasksel (3.65+devuan1) unstable; urgency=medium

  * Merge Debian version 3.65.
  * Restore task-lxde-desktop as an option for task-desktop (Closes: #573).
  * Restore sddm as a display manager option for kde and lxqt.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 14 Apr 2021 19:29:48 +0100

tasksel (3.63+devuan1) unstable; urgency=medium

  * Merge Debian 3.63.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 19 Jan 2021 11:11:32 +0000

tasksel (3.62+devuan1) unstable; urgency=medium

  * Merge Debian 3.62.
  * d/control:
     - update Vcs-* following gitea migration
     - add Origin: Devuan
  * d/changelog: fix formatting and remove merge cruft (lintian).

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 13 Jan 2021 18:13:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: tasksel
 Section: tasks
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: nicoo <nicoo@debian.org>
+Maintainer: Devuan Dev Team <devuan-dev@lists.dyne.org>
+Uploaders: Daniel Reurich <daniel@centurion.net.nz>,
+	   Mark Hindley <mark@hindley.org.uk>
 Standards-Version: 4.5.1
 Build-Depends:
 	debhelper-compat (= 13),
 	dpkg-dev (>= 1.9.0),
 	gettext,
 	po-debconf
-Vcs-Browser: https://salsa.debian.org/installer-team/tasksel
-Vcs-Git: https://salsa.debian.org/installer-team/tasksel.git
+Vcs-Git: https://git.devuan.org/devuan/tasksel.git
+Vcs-Browser: https://git.devuan.org/devuan/tasksel
 Rules-Requires-Root: no
+Origin: Devuan
 
 Package: tasksel
 Section: admin
@@ -19,7 +21,7 @@
 Pre-Depends: debconf (>= 1.5.34) | cdebconf (>= 0.106)
 Depends: ${misc:Depends}, liblocale-gettext-perl, apt, tasksel-data, perl-base (>= 5.14.0-1)
 Conflicts: debconf (<< 1.4.27), base-config (<< 2.32)
-Description: tool for selecting tasks for installation on Debian systems
+Description: tool for selecting tasks for installation on Devuan systems
  This package provides 'tasksel', a simple interface for users who
  want to configure their system to perform a specific task.
 
@@ -29,14 +31,24 @@
 Depends: ${misc:Depends}
 Recommends: laptop-detect, tasksel
 Conflicts: tasksel (<< 2.67)
-Description: official tasks used for installation of Debian systems
- This package contains data about the standard tasks available on a Debian
+Description: official tasks used for installation of Devuan systems
+ This package contains data about the standard tasks available on a Devuan
  system.
 
+Package: task-speech-accessibility
+Architecture: all
+Depends: ${misc:Depends},
+# An accessible display manager
+	 lightdm | gdm3,
+	 devuan-speech-dispatcher-config-override
+Description: Speech accessibility configuration
+ This task configures the system for speech synthesis using ALSA which supports
+ both graphical and console interfaces.
+
 Package: task-desktop
 Architecture: all
-Description: Debian desktop environment
- This task package is used to install the Debian desktop.
+Description: Devuan desktop environment
+ This task package is used to install the Devuan desktop.
 Depends: ${misc:Depends},
 	xorg,
 	xserver-xorg-video-all,
@@ -47,7 +59,10 @@
 # The order here is significant when installing this task manually;
 # when tasksel installs this task it instead selects one of these based
 # on the tasksel/desktop debconf setting.
-	task-gnome-desktop | task-xfce-desktop | task-kde-desktop | task-lxde-desktop | task-gnome-flashback-desktop | task-cinnamon-desktop | task-mate-desktop | task-lxqt-desktop,
+#	 task-xfce-desktop | task-kde-desktop | task-lxde-desktop | task-cinnamon-desktop | task-mate-desktop | task-gnome-desktop ,
+##	 task-xfce-desktop | task-cinnamon-desktop | task-kde-desktop | task-lxde-desktop | task-lxqt-desktop | task-mate-desktop ,
+	 task-xfce-desktop | task-cinnamon-desktop | task-lxde-desktop | task-kde-desktop | task-lxqt-desktop | task-mate-desktop | task-gnome-desktop,
+#	 task-xfce-desktop | task-lxde-desktop | task-mate-desktop ,
 # For use by third-party apps.
 	xdg-utils,
 # Font with wide unicode coverage, prevents “Unicode tofu”
@@ -74,8 +89,8 @@
 Package: task-gnome-desktop
 Architecture: all
 Description: GNOME
- This task package is used to install the Debian desktop, featuring
- the GNOME desktop environment, and with other packages that Debian users
+ This task package is used to install the Devuan desktop, featuring
+ the GNOME desktop environment, and with other packages that Devuan users
  expect to have available on the desktop.
 Depends: ${misc:Depends},
 	task-desktop,
@@ -162,14 +177,14 @@
 
 Package: task-kde-desktop
 Architecture: all
-Description: KDE Plasma
- This task package is used to install the Debian desktop, featuring
- the KDE Plasma desktop environment, and with other packages that Debian users
+Description: KDE
+ This task package is used to install the Devuan desktop, featuring
+ the KDE Plasma desktop environment, and with other packages that Devuan users
  expect to have available on the desktop.
 Depends: ${misc:Depends},
 	task-desktop,
 	kde-standard,
-	sddm,
+	lightdm | slim | sddm,
 Recommends:
 # accessibility support
 	kdeaccessibility,
@@ -207,12 +222,12 @@
 Package: task-lxde-desktop
 Architecture: all
 Description: LXDE
- This task package is used to install the Debian desktop, featuring
- the LXDE desktop environment, and with other packages that Debian users
- expect to have available on the desktop.
-Depends: ${misc:Depends},
-	task-desktop,
-	lightdm,
+ This task package is used to install the Devuan desktop, featuring
+ the LXDE desktop environment, and with other packages that Devuan users
+ expect to have available on the desktop.
+Depends: ${misc:Depends},
+	task-desktop,
+	lightdm | slim,
 	lxde,
 Recommends:
 	lxtask,
@@ -238,17 +253,19 @@
 	system-config-printer,
 # orca works with lxde, adding accessibility
 	orca,
+# libreoffice accessibility needs the GTK frontend
+	libreoffice-gtk2,
 
 Package: task-lxqt-desktop
 Architecture: all
 Description: LXQt
- This task package is used to install the Debian desktop, featuring
- the LXQt desktop environment, and with other packages that Debian users
+ This task package is used to install the Devuan desktop, featuring
+ the LXQt desktop environment, and with other packages that Devuan users
  expect to have available on the desktop.
 Depends: ${misc:Depends},
          task-desktop,
-         sddm,
-         sddm-theme-debian-elarun | sddm-theme-debian-elarun,
+         lightdm | slim | sddm,
+#         sddm-theme-maui | sddm-theme,
          lxqt,
 Recommends: xsane,
 # orca works with qt, adding accessibility
@@ -276,17 +293,17 @@
 Package: task-xfce-desktop
 Architecture: all
 Description: Xfce
- This task package is used to install the Debian desktop, featuring
- the Xfce desktop environment, and with other packages that Debian users
+ This task package is used to install the Devuan desktop, featuring
+ the Xfce desktop environment, and with other packages that Devuan users
  expect to have available on the desktop.
 Depends: ${misc:Depends},
 	task-desktop,
 # The basics of xfce, not the whole thing.
 	xfce4,
-	lightdm
+	slim | lightdm,
 Recommends:
 # a screen saver/locker
-	light-locker,
+## Actually don't recommend one here. xfce4 depends on xfce4-session and that already recommends screensaver(s).
 # well known xfce4 enhancements
 	xfce4-goodies,
 	xfce4-power-manager,
@@ -305,7 +322,7 @@
 # icon theme
 	tango-icon-theme,
 # network management
-	network-manager-gnome,
+	network-manager-gnome | connman-gtk | cmst,
 # package management
 	synaptic,
 # libreoffice is the best word processor / office suite at the moment
@@ -330,23 +347,24 @@
 Package: task-cinnamon-desktop
 Architecture: all
 Description: Cinnamon
- This task package is used to install the Debian desktop, featuring
- the Cinnamon desktop environment, and with other packages that Debian users
- expect to have available on the desktop.
-Depends: ${misc:Depends},
-	task-desktop,
-	cinnamon-desktop-environment
+ This task package is used to install the Devuan desktop, featuring
+ the Cinnamon desktop environment, and with other packages that Devuan users
+ expect to have available on the desktop.
+Depends: ${misc:Depends},
+	task-desktop,
+	cinnamon-desktop-environment,
+	lightdm | slim,
 
 Package: task-mate-desktop
 Architecture: all
 Description: MATE
- This task package is used to install the Debian desktop, featuring
- the MATE desktop environment, and with other packages that Debian users
+ This task package is used to install the Devuan desktop, featuring
+ the MATE desktop environment, and with other packages that Devuan users
  expect to have available on the desktop.
 Depends: ${misc:Depends},
 	task-desktop,
 	mate-desktop-environment,
-	lightdm,
+	lightdm | slim,
 Recommends:
 # temporarily moved from task-desktop due to #525077
 	gimp,
@@ -365,8 +383,8 @@
 # make hyphenation work
 	hyphen-en-us,
 # we need a working network setup at least
-	network-manager-gnome,
-# orca works with mate, adding accessibility
+	network-manager-gnome | connman-gtk | cmst,
+# orca works with mate, adding accessability
 	orca,
 # libreoffice accessibility needs the GTK frontend
 	libreoffice-gtk3,
@@ -407,50 +425,9 @@
 Recommends:
 	openssh-client,
 
-Package: task-albanian-desktop
-Architecture: all
-Description: Albanian desktop
- This task localises the desktop in Albanian.
-Depends: ${misc:Depends},
-Recommends:
-	firefox-esr-l10n-sq | firefox-l10n-sq,
-	myspell-sq,
-
-Package: task-amharic
-Architecture: all
-Description: Amharic environment
- This task installs programs, data files, fonts, and
- documentation that makes it easier for Amharic speakers
- to use Debian.
-Depends: ${misc:Depends},
-Recommends:
-	aspell-am
-
-Package: task-amharic-desktop
-Architecture: all
-Description: Amharic desktop
- This task localises the desktop in Amharic.
-Depends: ${misc:Depends}
-Recommends:
-	fonts-sil-abyssinica,
-	fcitx,
-	fcitx-table-amharic,
-	fcitx-frontend-gtk2,
-	fcitx-frontend-gtk3,
-	fcitx-config-gtk
-
-Package: task-amharic-gnome-desktop
-Architecture: all
-Description: Amharic GNOME desktop
- This task localises the GNOME desktop in Amharic.
-Depends: ${misc:Depends}
-Recommends:
-	ibus-m17n,
-# ibus doesn't have a default config for all languages, so force creation
-	gnome-initial-setup
-
-Package: task-amharic-kde-desktop
-Architecture: all
-Description: Amharic KDE Plasma desktop
- This task localises the KDE Plasma desktop in Amharic.
-Depends: ${misc:Depends},
+Package: task-console-productivity
+Architecture: all
+Description: Console productivity
+ This task installs the console-based tools available in Devuan
+ minimal live. It includes a variety of utilities for system
+ administration, clients for Internet protocols, programs for

## tasksel 3.70

=== debian/changelog ===
tasksel (3.70) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.
    + tasksel: Drop versioned constraint on perl-base in Depends.
    + tasksel: Drop versioned constraint on cdebconf and debconf in Pre-Depends.
    + tasksel: Drop versioned constraint on debconf in Conflicts.
    + tasksel-data: Drop versioned constraint on tasksel in Conflicts.

  [ Andika Triwidada ]
  * Updated debconf translation for Indonesian. Closes: #981478

  [ Holger Wansing ]
  * Convert file encoding for some po files into UTF-8; fixes lintian tag.
  * Adapt lintian-overrides to recent 'pointed hints' changings.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 17 Jul 2022 15:51:42 +0200

tasksel (3.69+rebuild) unstable; urgency=medium

  * Team upload.

  * Re-upload to allow migration to testing. No source changes.

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 11 Feb 2022 19:25:38 +0100

tasksel (3.69) unstable; urgency=medium

  * Team upload.

  [ Holger Wansing ]
  * Install CUPS for all *-desktop tasks, now that task-print-service is no
    longer existing. Closes: #993668
  * Fix broken relationship of japanese-gnome-desktop task to Gnome
    Flashback desktop. Closes: #998120

  [ Ievgenii Meshcheriakov ]
  * Don't recommend iukrainian for task-ukrainian, the package is no longer
    built.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 30 Jan 2022 14:24:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,24 @@
 Source: tasksel
 Section: tasks
 Priority: optional
-Maintainer: Devuan Dev Team <devuan-dev@lists.dyne.org>
-Uploaders: Daniel Reurich <daniel@centurion.net.nz>,
-	   Mark Hindley <mark@hindley.org.uk>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Uploaders: nicoo <nicoo@debian.org>
 Standards-Version: 4.5.1
 Build-Depends:
 	debhelper-compat (= 13),
-	dpkg-dev (>= 1.9.0),
 	gettext,
 	po-debconf
-Vcs-Git: https://git.devuan.org/devuan/tasksel.git
-Vcs-Browser: https://git.devuan.org/devuan/tasksel
+Vcs-Browser: https://salsa.debian.org/installer-team/tasksel
+Vcs-Git: https://salsa.debian.org/installer-team/tasksel.git
 Rules-Requires-Root: no
-Origin: Devuan
 
 Package: tasksel
 Section: admin
 Architecture: all
-Pre-Depends: debconf (>= 1.5.34) | cdebconf (>= 0.106)
-Depends: ${misc:Depends}, liblocale-gettext-perl, apt, tasksel-data, perl-base (>= 5.14.0-1)
-Conflicts: debconf (<< 1.4.27), base-config (<< 2.32)
-Description: tool for selecting tasks for installation on Devuan systems
+Pre-Depends: debconf | cdebconf
+Depends: ${misc:Depends}, liblocale-gettext-perl, apt, tasksel-data
+Conflicts: base-config (<< 2.32)
+Description: tool for selecting tasks for installation on Debian systems
  This package provides 'tasksel', a simple interface for users who
  want to configure their system to perform a specific task.
 
@@ -30,25 +27,14 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: laptop-detect, tasksel
-Conflicts: tasksel (<< 2.67)
-Description: official tasks used for installation of Devuan systems
- This package contains data about the standard tasks available on a Devuan
+Description: official tasks used for installation of Debian systems
+ This package contains data about the standard tasks available on a Debian
  system.
 
-Package: task-speech-accessibility
-Architecture: all
-Depends: ${misc:Depends},
-# An accessible display manager
-	 lightdm | gdm3,
-	 devuan-speech-dispatcher-config-override
-Description: Speech accessibility configuration
- This task configures the system for speech synthesis using ALSA which supports
- both graphical and console interfaces.
-
 Package: task-desktop
 Architecture: all
-Description: Devuan desktop environment
- This task package is used to install the Devuan desktop.
+Description: Debian desktop environment
+ This task package is used to install the Debian desktop.
 Depends: ${misc:Depends},
 	xorg,
 	xserver-xorg-video-all,
@@ -59,10 +45,7 @@
 # The order here is significant when installing this task manually;
 # when tasksel installs this task it instead selects one of these based
 # on the tasksel/desktop debconf setting.
-#	 task-xfce-desktop | task-kde-desktop | task-lxde-desktop | task-cinnamon-desktop | task-mate-desktop | task-gnome-desktop ,
-##	 task-xfce-desktop | task-cinnamon-desktop | task-kde-desktop | task-lxde-desktop | task-lxqt-desktop | task-mate-desktop ,
-	 task-xfce-desktop | task-cinnamon-desktop | task-lxde-desktop | task-kde-desktop | task-lxqt-desktop | task-mate-desktop | task-gnome-desktop,
-#	 task-xfce-desktop | task-lxde-desktop | task-mate-desktop ,
+	task-gnome-desktop | task-xfce-desktop | task-kde-desktop | task-lxde-desktop | task-gnome-flashback-desktop | task-cinnamon-desktop | task-mate-desktop | task-lxqt-desktop,
 # For use by third-party apps.
 	xdg-utils,
 # Font with wide unicode coverage, prevents “Unicode tofu”
@@ -89,8 +72,8 @@
 Package: task-gnome-desktop
 Architecture: all
 Description: GNOME
- This task package is used to install the Devuan desktop, featuring
- the GNOME desktop environment, and with other packages that Devuan users
+ This task package is used to install the Debian desktop, featuring
+ the GNOME desktop environment, and with other packages that Debian users
  expect to have available on the desktop.
 Depends: ${misc:Depends},
 	task-desktop,
@@ -171,20 +154,19 @@
 # some non-core GNOME applications
 	alacarte,
 	gnome-disk-utility,
-	gnome-documents,
 	gnome-tweaks,
 	yelp,
 
 Package: task-kde-desktop
 Architecture: all
-Description: KDE
- This task package is used to install the Devuan desktop, featuring
- the KDE Plasma desktop environment, and with other packages that Devuan users
+Description: KDE Plasma
+ This task package is used to install the Debian desktop, featuring
+ the KDE Plasma desktop environment, and with other packages that Debian users
  expect to have available on the desktop.
 Depends: ${misc:Depends},
 	task-desktop,
 	kde-standard,
-	lightdm | slim | sddm,
+	sddm,
 Recommends:
 # accessibility support
 	kdeaccessibility,
@@ -222,12 +204,12 @@
 Package: task-lxde-desktop
 Architecture: all
 Description: LXDE
- This task package is used to install the Devuan desktop, featuring
- the LXDE desktop environment, and with other packages that Devuan users
- expect to have available on the desktop.
-Depends: ${misc:Depends},
-	task-desktop,
-	lightdm | slim,
+ This task package is used to install the Debian desktop, featuring
+ the LXDE desktop environment, and with other packages that Debian users
+ expect to have available on the desktop.
+Depends: ${misc:Depends},
+	task-desktop,
+	lightdm,
 	lxde,
 Recommends:
 	lxtask,
@@ -253,19 +235,17 @@
 	system-config-printer,
 # orca works with lxde, adding accessibility
 	orca,
-# libreoffice accessibility needs the GTK frontend
-	libreoffice-gtk2,
 
 Package: task-lxqt-desktop
 Architecture: all
 Description: LXQt
- This task package is used to install the Devuan desktop, featuring
- the LXQt desktop environment, and with other packages that Devuan users
+ This task package is used to install the Debian desktop, featuring
+ the LXQt desktop environment, and with other packages that Debian users
  expect to have available on the desktop.
 Depends: ${misc:Depends},
          task-desktop,
-         lightdm | slim | sddm,
-#         sddm-theme-maui | sddm-theme,
+         sddm,
+         sddm-theme-debian-elarun | sddm-theme-debian-elarun,
          lxqt,
 Recommends: xsane,
 # orca works with qt, adding accessibility
@@ -293,17 +273,17 @@
 Package: task-xfce-desktop
 Architecture: all
 Description: Xfce
- This task package is used to install the Devuan desktop, featuring
- the Xfce desktop environment, and with other packages that Devuan users
+ This task package is used to install the Debian desktop, featuring
+ the Xfce desktop environment, and with other packages that Debian users
  expect to have available on the desktop.
 Depends: ${misc:Depends},
 	task-desktop,
 # The basics of xfce, not the whole thing.
 	xfce4,
-	slim | lightdm,
+	lightdm
 Recommends:
 # a screen saver/locker
-## Actually don't recommend one here. xfce4 depends on xfce4-session and that already recommends screensaver(s).
+	light-locker,
 # well known xfce4 enhancements
 	xfce4-goodies,
 	xfce4-power-manager,
@@ -322,7 +302,7 @@
 # icon theme
 	tango-icon-theme,
 # network management
-	network-manager-gnome | connman-gtk | cmst,
+	network-manager-gnome,
 # package management
 	synaptic,
 # libreoffice is the best word processor / office suite at the moment
@@ -347,24 +327,23 @@
 Package: task-cinnamon-desktop
 Architecture: all
 Description: Cinnamon
- This task package is used to install the Devuan desktop, featuring
- the Cinnamon desktop environment, and with other packages that Devuan users
- expect to have available on the desktop.
-Depends: ${misc:Depends},
-	task-desktop,
-	cinnamon-desktop-environment,
-	lightdm | slim,
+ This task package is used to install the Debian desktop, featuring
+ the Cinnamon desktop environment, and with other packages that Debian users
+ expect to have available on the desktop.
+Depends: ${misc:Depends},
+	task-desktop,
+	cinnamon-desktop-environment
 
 Package: task-mate-desktop
 Architecture: all
 Description: MATE
- This task package is used to install the Devuan desktop, featuring
- the MATE desktop environment, and with other packages that Devuan users
+ This task package is used to install the Debian desktop, featuring
+ the MATE desktop environment, and with other packages that Debian users
  expect to have available on the desktop.
 Depends: ${misc:Depends},
 	task-desktop,
 	mate-desktop-environment,
-	lightdm | slim,
+	lightdm,
 Recommends:
 # temporarily moved from task-desktop due to #525077
 	gimp,
@@ -383,8 +362,8 @@
 # make hyphenation work
 	hyphen-en-us,
 # we need a working network setup at least
-	network-manager-gnome | connman-gtk | cmst,
-# orca works with mate, adding accessability
+	network-manager-gnome,
+# orca works with mate, adding accessibility
 	orca,
 # libreoffice accessibility needs the GTK frontend
 	libreoffice-gtk3,
@@ -425,9 +404,57 @@
 Recommends:
 	openssh-client,
 
-Package: task-console-productivity
-Architecture: all
-Description: Console productivity
- This task installs the console-based tools available in Devuan
- minimal live. It includes a variety of utilities for system
- administration, clients for Internet protocols, programs for
+Package: task-albanian-desktop
+Architecture: all
+Description: Albanian desktop
+ This task localises the desktop in Albanian.
+Depends: ${misc:Depends},
+Recommends:
+	firefox-esr-l10n-sq | firefox-l10n-sq,
+	myspell-sq,
+
+Package: task-amharic
+Architecture: all
+Description: Amharic environment
+ This task installs programs, data files, fonts, and
+ documentation that makes it easier for Amharic speakers
+ to use Debian.
+Depends: ${misc:Depends},
+Recommends:
+	aspell-am
+
+Package: task-amharic-desktop
+Architecture: all
+Description: Amharic desktop
+ This task localises the desktop in Amharic.
+Depends: ${misc:Depends}
+Recommends:
+	fonts-sil-abyssinica,
+	fcitx,
+	fcitx-table-amharic,
+	fcitx-frontend-gtk2,
+	fcitx-frontend-gtk3,
+	fcitx-config-gtk
+
+Package: task-amharic-gnome-desktop
+Architecture: all
+Description: Amharic GNOME desktop
+ This task localises the GNOME desktop in Amharic.
+Depends: ${misc:Depends}
+Recommends:
+	ibus-m17n,
+# ibus doesn't have a default config for all languages, so force creation
+	gnome-initial-setup
+
+Package: task-amharic-kde-desktop
+Architecture: all
+Description: Amharic KDE Plasma desktop
+ This task localises the KDE Plasma desktop in Amharic.
+Depends: ${misc:Depends},
+Recommends:
+	fcitx-frontend-qt5,
+	kde-config-fcitx
+
+Package: task-arabic
+Architecture: all
+Description: Arabic environment

## tasksel 3.71

=== debian/changelog ===
tasksel (3.71) unstable; urgency=medium

  * Team upload.

  [ Holger Wansing ]
  * Correct changelog entry for 3.70.
  * Change Recommends on gsfonts-x11 (which is now a dummy / transitional
    package) to fonts-urw-base35. Closes: #1020351

  [ Debian Janitor ]
  * Refer to specific version of license GPL-2.
  * Update standards version to 4.6.1, no changes needed.

  [ Baurzhan Muftakhidinov ]
  * Updated translations for Kazakh.

  [ d manye ]
  * Updated Catalan debconf translation.

  [ Samuel Thibault ]
  * control: Fix gnome-orca dep into orca.

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 03 Jan 2023 21:26:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: nicoo <nicoo@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Build-Depends:
 	debhelper-compat (= 13),
 	gettext,
@@ -143,7 +143,7 @@
 # make hyphenation work
 	hyphen-en-us,
 # accessibility support
-	gnome-orca,
+	orca,
 # web browser
 	firefox | firefox-esr,
 # mail client

## tasksel 3.72

=== debian/changelog ===
tasksel (3.72) unstable; urgency=medium

  [ Atila KOÇ ]
  * Updated Turkish debconf translation. Closes: #1028517

  [ Aurélien COUDERC ]
  * Cleanup task-kde-desktop:
    - Drop apper, hardly maintained upstream, superseded by Plasma Discover.
    - Drop dragonplayer, already pulled transitively by kde-standard.
    - Drop plasma-nm, already pulled transitively by plasma-desktop.
    - Drop k3b/k3b-i18n, not necessary on default installs anymore these days.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 26 Feb 2023 19:03:20 +0100

=== debian/control ===
--- 
+++ 
@@ -172,13 +172,6 @@
 	kdeaccessibility,
 # orca works with kde, adding accessibility
 	orca,
-# cd/dvd burner
-	k3b,
-	k3b-i18n,
-# desktop network setup
-	plasma-nm,
-# Package management.
-	apper,
 # temporarily moved from task-desktop due to #525077
 	gimp,
 # libreoffice is the best word processor / office suite at the moment
@@ -198,8 +191,6 @@
 	hyphen-en-us,
 # gui for configuration of the print service
 	print-manager,
-# media player
-	dragonplayer,
 
 Package: task-lxde-desktop
 Architecture: all
@@ -458,3 +449,7 @@
 Package: task-arabic
 Architecture: all
 Description: Arabic environment
+ This task installs programs, data files, fonts, and
+ documentation that makes it easier for Arabic speakers
+ to use Debian.
+Depends: ${misc:Depends},

## tasksel 3.73

=== po/Makefile ===
XGETTEXT = xgettext --keyword=_ --keyword=N_ --add-comments=TRANS:
POTFILE = tasksel.pot
MOS:=$(addsuffix .mo, $(LANGS))

all: $(POTFILE) $(MOS)
	touch build_stamp

$(POTFILE): ../tasksel.pl
	$(XGETTEXT) -o $(POTFILE)-update ../tasksel.pl
	if test -f $(POTFILE); then \
	  if diff -I '^"POT-Creation-Date:' -I '^Report-Msgid-Bugs-To:' $(POTFILE) $(POTFILE)-update >/dev/null 2>&1; then \
	      rm -f $(POTFILE)-update; \
	  else \
	      rm -f $(POTFILE); \
	      mv $(POTFILE)-update $(POTFILE); \
	  fi; \
	else \
	  mv $(POTFILE)-update $(POTFILE); \
	fi

%.mo: %.po
	msgfmt -o $@ $<

clean:
	-rm -f build_stamp
	-rm -f *.mo

update: $(addprefix update-, $(LANGS))

update-%: %.po $(POTFILE)
	mv $< $<.bak
	msgmerge $<.bak $(POTFILE) > $<

=== debian/changelog ===
tasksel (3.73) unstable; urgency=medium

  [ Roland Clobus ]
  * task-lxqt-desktop:
     - Move sddm-theme* before sddm to avoid the installation of many
       additional packages, including a different window manager which
       would lead to a confusing prompt during the installation.
       Closes: #1023472
     - While doing so, fix the theme alternative, declaring sddm-theme
       as a fallback for sddm-theme-debian-elarun.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 25 May 2023 08:27:56 +0200

=== debian/control ===
--- 
+++ 
@@ -235,8 +235,9 @@
  expect to have available on the desktop.
 Depends: ${misc:Depends},
          task-desktop,
+# Mention the preferred theme before sddm, otherwise another theme will be used
+         sddm-theme-debian-elarun | sddm-theme,
          sddm,
-         sddm-theme-debian-elarun | sddm-theme-debian-elarun,
          lxqt,
 Recommends: xsane,
 # orca works with qt, adding accessibility
@@ -450,6 +451,3 @@
 Architecture: all
 Description: Arabic environment
  This task installs programs, data files, fonts, and
- documentation that makes it easier for Arabic speakers
- to use Debian.
-Depends: ${misc:Depends},
